nvme_export_tls_key_versioned(9)

NAME
nvme_export_tls_key_versioned - Export a TLS pre-shared key

SYNOPSIS
char * nvme_export_tls_key_versioned (unsigned char version , unsigned char hmac , const unsigned char *key_data , size_t key_len );

ARGUMENTS

version
    Indicated the representation of the TLS PSK

hmac
    HMAC algorithm used to transfor the configured PSK in a retained PSK

key_data
    Raw data of the key

key_len
    Length of key_data

DESCRIPTION
Returns key_data in the PSK Interchange format as defined in section 3.6.1.5 of the NVMe TCP Transport specification.

RETURN
The string containing the TLS identity or NULL with errno set on error. It is the responsibility of the caller to free the returned string.